<?xml version='1.0'?>
<config>
    <description>TI Processor SDK Linux v10_00_08_06</description>

    <xi:include href='../../common/targets_arago.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>
    <xi:include href='../../templates/bblayers.conf.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>
    <xi:include href='../../templates/local-arago64-v2.conf.xml' xmlns:xi='http://www.w3.org/2001/XInclude'/>

    <bitbake url='https://git.openembedded.org/bitbake' branch='2.8' commit='11d83170922a2c6b9db1f6e8c23e533526984b2c'/>

    <repos>
        <repo name='meta-arago' url='https://git.yoctoproject.org/meta-arago' branch='scarthgap' commit='cbf054c7401af6e1e8bcc4eab07daa9a4996f7f3'>
            <layers>
                <layer>meta-arago-distro</layer>
                <layer>meta-arago-extras</layer>
                <layer>meta-arago-demos</layer>
                <layer>meta-arago-test</layer>
            </layers>
        </repo>
        <repo name='meta-browser' url='https://github.com/OSSystems/meta-browser.git' branch='master' commit='1ed2254d72a4c25879014c98be287a7e3e22904c'>
            <layers>
                <layer>meta-chromium</layer>
            </layers>
        </repo>
        <repo name='meta-qt5' url='https://github.com/meta-qt5/meta-qt5.git' branch='scarthgap' commit='eb828418264a49b8d00035cb3d7b12fcea3be801'>
            <layers/>
        </repo>
        <repo name='meta-virtualization' url='https://git.yoctoproject.org/meta-virtualization' branch='scarthgap' commit='54b806b1985f3989722ee308e1073530fe3328c1'>
            <layers/>
        </repo>
        <repo name='meta-openembedded' url='https://git.openembedded.org/meta-openembedded' branch='scarthgap' commit='80e01188fa822d87d301ee71973c462d7a865493'>
            <layers>
                <layer>meta-networking</layer>
                <layer>meta-python</layer>
                <layer>meta-oe</layer>
                <layer>meta-gnome</layer>
                <layer>meta-filesystems</layer>
                <layer>meta-multimedia</layer>
            </layers>
        </repo>
        <repo name='meta-ti' url='https://git.yoctoproject.org/meta-ti' branch='scarthgap' commit='84328ead40d7e6fcce4d80ab7d07f4dcaf9d777e'>
            <layers>
                <layer>meta-ti-extras</layer>
                <layer>meta-ti-bsp</layer>
            </layers>
        </repo>
        <repo name='meta-arm' url='https://git.yoctoproject.org/meta-arm' branch='scarthgap' commit='ecece16871afe6b674d2aafd27e0f18bbaef1966'>
            <layers>
                <layer>meta-arm</layer>
                <layer>meta-arm-toolchain</layer>
            </layers>
        </repo>
        <repo name='meta-clang' url='https://github.com/kraj/meta-clang' branch='scarthgap' commit='fe561f41aef0cff9e6f96730ab59f28dca2eb682'>
            <layers/>
        </repo>
        <repo name='oe-core' url='https://git.openembedded.org/openembedded-core' branch='scarthgap' commit='1c9d3c22718bf49ae85c2d06e0ee60ebdc2fd0c1'>
            <layers>
                <layer>meta</layer>
            </layers>
        </repo>
        <repo name='meta-tisdk' url='https://git.ti.com/git/ti-sdk-linux/meta-tisdk.git' branch='scarthgap' commit='af81e0d81c5efd005bfc0ef749f690f9748c70f6'>
            <layers/>
        </repo>
    </repos>

    <local-conf>
        <line>DISTRO_FEATURES:append = " virtualization"</line>
        <line>DISTROOVERRIDES:append = ":foundational"</line>
    </local-conf>

    <tools>
        <tool type='oe-layersetup'>
            <var name='BITBAKE_INCLUSIVE_VARS' value='yes'/>
        </tool>
    </tools>
</config>
